[ 
https://issues.apache.org/jira/browse/AMBARI-23064?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16375038#comment-16375038
 ] 

Robert Levas commented on AMBARI-23064:
---------------------------------------

[~smolnar] This (or something similar) needs to go into trunk as well.  

 

> Remove dependency on com.fasterxml.jackson.core:jackson-databind before 
> version 2.9.4 for Ambari Server
> -------------------------------------------------------------------------------------------------------
>
>                 Key: AMBARI-23064
>                 URL: https://issues.apache.org/jira/browse/AMBARI-23064
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.6.2
>            Reporter: Sandor Molnar
>            Assignee: Sandor Molnar
>            Priority: Blocker
>              Labels: black-duck, pull-request-available
>             Fix For: 2.6.2, 2.7.0
>
>          Time Spent: 0.5h
>  Remaining Estimate: 0h
>
> Remove dependency on com.fasterxml.jackson.core:jackson-databind before 
> version 2.9.4 due to security concerns. See
>  * CVE-2018-5968 - [https://nvd.nist.gov/vuln/detail/CVE-2018-5968]
>  * CVE-2017-17485 - [https://nvd.nist.gov/vuln/detail/CVE-2017-17485]
> {noformat}
>  --- maven-dependency-plugin:2.8:tree (default-cli) @ ambari-server ---
>  org.apache.ambari:ambari-server:jar:2.6.1.0.0
>  \- com.networknt:json-schema-validator:jar:0.1.10:test
>     \- com.fasterxml.jackson.core:jackson-databind:jar:2.8.7:test
> {noformat}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to